#LIMITAZIONE DELLA RESPONSABILITA'. 
#Il software  fornito "cos com'", senza garanzie di ogni sorta.
setwd(choose.dir(default = "", caption = "WHERE ARE MICRODATA?"))
direttorio = getwd()
fileInput = paste (direttorio, "/ISTAT_MFR_CIS_Microdata_2000_FILE_STRUCTURE_EXAMPLE.txt", sep="")
Ril_CIS_2000<- read.delim2 (fileInput,  header=T, sep="^",  quote="",  na.strings = ".")
attr(Ril_CIS_2000, "label") <- c(
"Id",
"Geographical location of the enterprise",
"Main economic activity (Nace)",
"Enterprise part of a group",
"Country of head office",
"Enterprise established",
"Turnover increased by 10 pct",
"Turnover decreased by 10 pct",
"Enterprise most significant market",
"Total turnover in 1998",
"Total turnover in 2000",
"Exports in 1998",
"Exports in 2000",
"Gross investment in tangible goods: 2000",
"Total number of employees in 1998",
"Total number of employees in 2000 (size classes)",
"Number of employees with higher education",
"New or improved pdt for your enterprise",
"Who mainly developed these products",
"Turnover due to new or improved products",
"Turnover due to unchanged products",
"New or improved products on the market",
"Share of new or improved pdts to market",
"New or improved pcs for your enterprise",
"Who mainly developed these processes",
"Ongoing innovating activities",
"Abandoned innovation activities",
"Engagement in intramural rd",
"Expenditure in intramural rd",
"Engagement in extramural rd",
"Expenditure in extramural rd",
"Engagement in acquisition of machinery",
"Expenditure in acquisition of machinery",
"Engagement in other external knowledge",
"Expenditure in other external knowledge",
"Engagement in training",
"Engagement in market introduction",
"Engagement in design, other preparation",
"Expenditure in training,market intro,oth",
"Total innovation expenditure",
"Number of persons involved in intra rd",
"Type of engagement in rd",
"Effect: inc range of goods or services",
"Effect: inc market or market share",
"Effect: imp quality in goods or services",
"Effect: imp production flexibility",
"Effect: inc production capacity",
"Effect: red lbr costs per produced unit",
"Effect: red materials and nrg per unit",
"Effect: improved environmental impact",
"Effect: met regulations or standards",
"Public funding from local or regional",
"Public funding from central government",
"Public funding from the EU",
"Funding from EU 4th or 5th RTD",
"Cooperation arrangements on inno act",
"Other ent within the group : National",
"Other ent within the group : EU/EFTA",
"Other ent within the group : EU-CC",
"Other ent within the group : US",
"Other ent within the group : Japan",
"Other ent within the group : Other",
"Suppliers of equiment, etc. : National",
"Suppliers of equiment, etc. : EU/EFTA",
"Suppliers of equiment, etc. : EU-CC",
"Suppliers of equiment, etc. : US",
"Suppliers of equiment, etc. : Japan",
"Suppliers of equiment, etc. : Other",
"Clients or customers : National",
"Clients or customers : EU/EFTA",
"Clients or customers : EU-CC",
"Clients or customers : US",
"Clients or customers : Japan",
"Clients or customers : Other",
"Competitors or other firms ... : National",
"Competitors or other firms ... : EU/EFTA",
"Competitors or other firms ... : EU-CC",
"Competitors or other firms ... : US",
"Competitors or other firms ... : Japan",
"Competitors or other firms ... : Other",
"Consultants : National",
"Consultants : EU/EFTA",
"Consultants : EU-CC",
"Consultants : US",
"Consultants : Japan",
"Consultants : Other",
"Commercial lab /rd ent. : National",
"Commercial lab /rd ent. : EU/EFTA",
"Commercial lab /rd ent. : EU-CC",
"Commercial lab /rd ent. : US",
"Commercial lab /rd ent. : Japan",
"Commercial lab /rd ent. : Other",
"Universities or other ... : National",
"Universities or other ... : EU/EFTA",
"Universities or other ... : EU-CC",
"Universities or other ... : US",
"Universities or other ... : Japan",
"Universities or other ... : Other",
"Gmt or pnp research inst. : National",
"Gmt or pnp research inst. : EU/EFTA",
"Gmt or pnp research inst. : EU-CC",
"Gmt or pnp research inst. : US",
"Gmt or pnp research inst. : Japan",
"Gmt or pnp research inst. : Other",
"Sources from within the enterprise",
"Sources from other ent within group",
"Sources from sup of equip, mat, etc.",
"Sources from clients or customers",
"Sources from competitors",
"Sources from univ or other hei",
"Sources from gmt or pnp research inst",
"Sources from pro conferences, meetings",
"Sources from fairs, exhibitions",
"Innovation activity seriously delayed",
"Innovat activity prevented to be started",
"Innovation activity burdened/cumbered",
"No inno act due to prior innovations",
"No inno act due to market conditions",
"No inno act due to factors impeding inno",
"Hamp factor : economic risks",
"Hamp factor : innovation costs",
"Hamp factor : sources of finance",
"Hamp factor : organisational rigidities",
"Hamp factor : qualified personnel",
"Hamp factor : information on technology",
"Hamp factor : information on markets",
"Hamp factor : regulations and standards",
"Hamp factor : customer responsiveness",
"Enterprise applied for at least a patent",
"Number of valid patents at end of 2000",
"Protection through reg of design patters",
"Protection through trademarks",
"Protection through copyright",
"Protection through secrecy",
"Protection through complexity of design",
"Protection through lead-time advantage",
"Implement of new corporate strategegies",
"Implement of management techniques",
"Implement of changed organisation struct",
"Changing ent marketing concepts/strat",
"Significant changes in aesthetic appear",
"Stratum to which ent before when sampled",
"Stratum to which ent belong acc to quest",
"Weighting factors",
"Weights corrected due to non-respo bias")

Nace_Fact <- factor(Ril_CIS_2000$Nace, 
levels=c("10", 
"15", 
"17", 
"18", 
"19", 
"20", 
"21", 
"22", 
"23", 
"24", 
"25", 
"26", 
"27", 
"28", 
"29", 
"30", 
"31", 
"32", 
"33", 
"34", 
"35", 
"36", 
"37", 
"40", 
"45", 
"50", 
"51", 
"52", 
"55", 
"60", 
"61", 
"62", 
"63", 
"64", 
"65", 
"66", 
"67", 
"70", 
"71", 
"72", 
"73", 
"74"), 
labels=c("Mining and quarying (NACE10-NACE14)", 
"Manufacture of food products and beverages; manufacture of tobacco products (NACE15-NACE16)", 
"Manufacture of textiles", 
"Manufacture of wearing apparel, dressing and dyeing of fur", 
"Tanning and dressing of leather, manufacture of luggage, handbags, saddlery, harness and footwear", 
"Manufacture of wood and products of wood and cork, except furniture, manufacture of articles of straw and plaiting materials", 
"Manufacture of pulp, paper and paper products", 
"Publishing, printing and reproduction of recorded media", 
"Manufacture of coke, refined petroleum products and nuclear fuel", 
"Manufacture of chemicals and chemical products", 
"Manufacture of rubber and plastic products", 
"Manufacture of other non-metallic mineral products", 
"Manufacture of basic metals", 
"Manufacture of fabricated metal products, except machinery and equipment", 
"Manufacture of machinery and equipment n.e.c.5", 
"Manufacture of electrical and optical equipment", 
"Manufacture of electrical machinery and apparatus n.e.c.5", 
"Manufacture of radio, television and communication equipment and apparatus", 
"Manufacture of medical, precision and optical instruments, watches and clocks", 
"Manufacture of motor vehicles, trailers and semi-trailers", 
"Manufacture of other transport equipment", 
"Manufacture of furniture, manufacturing n.e.c.5", 
"Recycling", 
"Electricity, gas and water supply (NACE40-NACE41)", 
"Construction", 
"Sale, maintenance and repair of motor vehicles and motorcycles, retail sale of automotive fuel", 
"Wholesale trade and commission trade, except of motor vehicles and motorcycles", 
"Retail trade, except of motor vehicles and motorcycles, repair of personal and household goods", 
"Hotels and restaurants", 
"Land transport, transport via pipelines", 
"Water transport", 
"Air transport", 
"Supporting and auxiliary transport activities, activities of travel agencies", 
"Post and telecommunications", 
"Financial intermediation, except insurance and pension funding", 
"Insurance and pension funding, except compulsory social security", 
"Activities auxiliary to financial intermediation", 
"Real estate activities", 
"Renting of machinery and equipment without operator and of personal and house", 
"Computer and related activities", 
"Research and development", 
"Other business activities")) 


Gp_Fact <- factor(Ril_CIS_2000$Gp, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Ho_Fact <- factor(Ril_CIS_2000$Ho, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"the enterprise does not belong to a group", 
"Home country (Italy)", 
"Europe + Candidate Countries + EFTA countries (Austria, Belgium, Germany, Denmark, Spain, Finland, France, United Kingdom, Greece, Ireland, Iceland, Liechtenstein, Luxembourg, Malta, The Netherlands, Norway, Portugal, Sweeden, Slovenia, San Marino)", 
"rest of the world (Argentina, Australia, Bermude, Canada, Chile, China, Israel, Iran, Japan, Kuwait, New Caledonia, Saudi Arabia, Singapore, El Salvador, Turkey, Taiwan, United States of America, Virgin Islands, South Africa, Swaziland, Holy See (Vatican C"), exclude=NULL) 


Est_Fact <- factor(Ril_CIS_2000$Est, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


TurnInc_Fact <- factor(Ril_CIS_2000$TurnInc, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


TurnDec_Fact <- factor(Ril_CIS_2000$TurnDec, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


SigMar_Fact <- factor(Ril_CIS_2000$SigMar, 
levels=c(NA, 
"1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7"), 
labels=c("missing or non applicable", 
"Province", 
"Inter-province", 
"Regional", 
"Inter-regional", 
"National", 
"UE", 
"Extra-UE"), exclude=NULL) 


Emp_Fact <- factor(Ril_CIS_2000$Emp, 
levels=c("1", 
"2", 
"3", 
"2_3", 
"1_2_3"), 
labels=c("0-49 employees", 
"50-249 employees", 
"more than 250 employees", 
"only for NACE 20, 23, 30, 67 and 73, class 2 and class 3 are aggregated into a new one, category 2_3", 
"only for NACE 37, 62 and 64 all number of employees classes are aggregated into a single one, category 1_2_3")) 


InPdt_Fact <- factor(Ril_CIS_2000$InPdt, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


InPdtW_Fact <- factor(Ril_CIS_2000$InPdtW, 
levels=c(NA, 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Mainly by the enterprise or enterprise group", 
"In cooperation with other enterprises or institutions", 
"Mainly other enterprises or institutions"), exclude=NULL) 


InMar_Fact <- factor(Ril_CIS_2000$InMar, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


InPcs_Fact <- factor(Ril_CIS_2000$InPcs, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


InPcsW_Fact <- factor(Ril_CIS_2000$InPcsW, 
levels=c(NA, 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Mainly by the enterprise or enterprise group", 
"In cooperation with other enterprises or institutions", 
"Mainly other enterprises or institutions"), exclude=NULL) 


InOn_Fact <- factor(Ril_CIS_2000$InOn, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


InAb_Fact <- factor(Ril_CIS_2000$InAb, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


RRdIn_Fact <- factor(Ril_CIS_2000$RRdIn, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


RRdEx_Fact <- factor(Ril_CIS_2000$RRdEx, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


RMac_Fact <- factor(Ril_CIS_2000$RMac, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


ROek_Fact <- factor(Ril_CIS_2000$ROek, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


RTr_Fact <- factor(Ril_CIS_2000$RTr, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


RMar_Fact <- factor(Ril_CIS_2000$RMar, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


RPre_Fact <- factor(Ril_CIS_2000$RPre, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


RdEng_Fact <- factor(Ril_CIS_2000$RdEng, 
levels=c(NA, 
"1", 
"2"), 
labels=c("missing or non applicable", 
"continuously", 
"occasionally"), exclude=NULL) 


ERange_Fact <- factor(Ril_CIS_2000$ERange, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not rel.", 
"Low", 
"Med", 
"High"), exclude=NULL) 


EMar_Fact <- factor(Ril_CIS_2000$EMar, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not rel.", 
"Low", 
"Med", 
"High"), exclude=NULL) 


EQua_Fact <- factor(Ril_CIS_2000$EQua, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not rel.", 
"Low", 
"Med", 
"High"), exclude=NULL) 


EFlex_Fact <- factor(Ril_CIS_2000$EFlex, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not rel.", 
"Low", 
"Med", 
"High"), exclude=NULL) 


ECap_Fact <- factor(Ril_CIS_2000$ECap, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not rel.", 
"Low", 
"Med", 
"High"), exclude=NULL) 


ELbr_Fact <- factor(Ril_CIS_2000$ELbr, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not rel.", 
"Low", 
"Med", 
"High"), exclude=NULL) 


EMat_Fact <- factor(Ril_CIS_2000$EMat, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not rel.", 
"Low", 
"Med", 
"High"), exclude=NULL) 


EEnv_Fact <- factor(Ril_CIS_2000$EEnv, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not rel.", 
"Low", 
"Med", 
"High"), exclude=NULL) 


EStd_Fact <- factor(Ril_CIS_2000$EStd, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not rel.", 
"Low", 
"Med", 
"High"), exclude=NULL) 


FunLoc_Fact <- factor(Ril_CIS_2000$FunLoc, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


FunGmt_Fact <- factor(Ril_CIS_2000$FunGmt, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


FunEU_Fact <- factor(Ril_CIS_2000$FunEU, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


FunRtd_Fact <- factor(Ril_CIS_2000$FunRtd, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co_Fact <- factor(Ril_CIS_2000$Co, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co11_Fact <- factor(Ril_CIS_2000$Co11, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co12_Fact <- factor(Ril_CIS_2000$Co12, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co13_Fact <- factor(Ril_CIS_2000$Co13, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co14_Fact <- factor(Ril_CIS_2000$Co14, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co15_Fact <- factor(Ril_CIS_2000$Co15, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co16_Fact <- factor(Ril_CIS_2000$Co16, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co21_Fact <- factor(Ril_CIS_2000$Co21, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co22_Fact <- factor(Ril_CIS_2000$Co22, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co23_Fact <- factor(Ril_CIS_2000$Co23, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co24_Fact <- factor(Ril_CIS_2000$Co24, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co25_Fact <- factor(Ril_CIS_2000$Co25, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co26_Fact <- factor(Ril_CIS_2000$Co26, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co31_Fact <- factor(Ril_CIS_2000$Co31, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co32_Fact <- factor(Ril_CIS_2000$Co32, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co33_Fact <- factor(Ril_CIS_2000$Co33, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co34_Fact <- factor(Ril_CIS_2000$Co34, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co35_Fact <- factor(Ril_CIS_2000$Co35, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co36_Fact <- factor(Ril_CIS_2000$Co36, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co41_Fact <- factor(Ril_CIS_2000$Co41, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co42_Fact <- factor(Ril_CIS_2000$Co42, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co43_Fact <- factor(Ril_CIS_2000$Co43, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co44_Fact <- factor(Ril_CIS_2000$Co44, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co45_Fact <- factor(Ril_CIS_2000$Co45, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co46_Fact <- factor(Ril_CIS_2000$Co46, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co51_Fact <- factor(Ril_CIS_2000$Co51, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co52_Fact <- factor(Ril_CIS_2000$Co52, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co53_Fact <- factor(Ril_CIS_2000$Co53, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co54_Fact <- factor(Ril_CIS_2000$Co54, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co55_Fact <- factor(Ril_CIS_2000$Co55, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co56_Fact <- factor(Ril_CIS_2000$Co56, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co61_Fact <- factor(Ril_CIS_2000$Co61, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co62_Fact <- factor(Ril_CIS_2000$Co62, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co63_Fact <- factor(Ril_CIS_2000$Co63, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co64_Fact <- factor(Ril_CIS_2000$Co64, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co65_Fact <- factor(Ril_CIS_2000$Co65, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co66_Fact <- factor(Ril_CIS_2000$Co66, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co71_Fact <- factor(Ril_CIS_2000$Co71, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co72_Fact <- factor(Ril_CIS_2000$Co72, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co73_Fact <- factor(Ril_CIS_2000$Co73, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co74_Fact <- factor(Ril_CIS_2000$Co74, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co75_Fact <- factor(Ril_CIS_2000$Co75, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co76_Fact <- factor(Ril_CIS_2000$Co76, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co81_Fact <- factor(Ril_CIS_2000$Co81, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co82_Fact <- factor(Ril_CIS_2000$Co82, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co83_Fact <- factor(Ril_CIS_2000$Co83, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co84_Fact <- factor(Ril_CIS_2000$Co84, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co85_Fact <- factor(Ril_CIS_2000$Co85, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co86_Fact <- factor(Ril_CIS_2000$Co86, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


SEnt_Fact <- factor(Ril_CIS_2000$SEnt, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not rel.", 
"Low", 
"Med", 
"High"), exclude=NULL) 


SGrp_Fact <- factor(Ril_CIS_2000$SGrp, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not rel.", 
"Low", 
"Med", 
"High"), exclude=NULL) 


SSup_Fact <- factor(Ril_CIS_2000$SSup, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not rel.", 
"Low", 
"Med", 
"High"), exclude=NULL) 


SCli_Fact <- factor(Ril_CIS_2000$SCli, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not rel.", 
"Low", 
"Med", 
"High"), exclude=NULL) 


SCom_Fact <- factor(Ril_CIS_2000$SCom, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not rel.", 
"Low", 
"Med", 
"High"), exclude=NULL) 


SUni_Fact <- factor(Ril_CIS_2000$SUni, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not rel.", 
"Low", 
"Med", 
"High"), exclude=NULL) 


SGmt_Fact <- factor(Ril_CIS_2000$SGmt, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not rel.", 
"Low", 
"Med", 
"High"), exclude=NULL) 


SPro_Fact <- factor(Ril_CIS_2000$SPro, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not rel.", 
"Low", 
"Med", 
"High"), exclude=NULL) 


SExb_Fact <- factor(Ril_CIS_2000$SExb, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not rel.", 
"Low", 
"Med", 
"High"), exclude=NULL) 


Hdlay_Fact <- factor(Ril_CIS_2000$Hdlay, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


HStar_Fact <- factor(Ril_CIS_2000$HStar, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


HBur_Fact <- factor(Ril_CIS_2000$HBur, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


HPrior_Fact <- factor(Ril_CIS_2000$HPrior, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


HMar_Fact <- factor(Ril_CIS_2000$HMar, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


HImp_Fact <- factor(Ril_CIS_2000$HImp, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


HEco_Fact <- factor(Ril_CIS_2000$HEco, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not rel.", 
"Low", 
"Med", 
"High"), exclude=NULL) 


HCos_Fact <- factor(Ril_CIS_2000$HCos, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not rel.", 
"Low", 
"Med", 
"High"), exclude=NULL) 


HFin_Fact <- factor(Ril_CIS_2000$HFin, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not rel.", 
"Low", 
"Med", 
"High"), exclude=NULL) 


HOrg_Fact <- factor(Ril_CIS_2000$HOrg, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not rel.", 
"Low", 
"Med", 
"High"), exclude=NULL) 


HPer_Fact <- factor(Ril_CIS_2000$HPer, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not rel.", 
"Low", 
"Med", 
"High"), exclude=NULL) 


HTec_Fact <- factor(Ril_CIS_2000$HTec, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not rel.", 
"Low", 
"Med", 
"High"), exclude=NULL) 


HInf_Fact <- factor(Ril_CIS_2000$HInf, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not rel.", 
"Low", 
"Med", 
"High"), exclude=NULL) 


HFlex_Fact <- factor(Ril_CIS_2000$HFlex, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not rel.", 
"Low", 
"Med", 
"High"), exclude=NULL) 


HCus_Fact <- factor(Ril_CIS_2000$HCus, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not rel.", 
"Low", 
"Med", 
"High"), exclude=NULL) 


PaAp_Fact <- factor(Ril_CIS_2000$PaAp, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


PaVal_Fact <- factor(Ril_CIS_2000$PaVal, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


ProReg_Fact <- factor(Ril_CIS_2000$ProReg, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


ProTm_Fact <- factor(Ril_CIS_2000$ProTm, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


ProCp_Fact <- factor(Ril_CIS_2000$ProCp, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


ProSec_Fact <- factor(Ril_CIS_2000$ProSec, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


ProDes_Fact <- factor(Ril_CIS_2000$ProDes, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


ProTim_Fact <- factor(Ril_CIS_2000$ProTim, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


ActStr_Fact <- factor(Ril_CIS_2000$ActStr, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


ActMan_Fact <- factor(Ril_CIS_2000$ActMan, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


ActOrg_Fact <- factor(Ril_CIS_2000$ActOrg, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


ActMar_Fact <- factor(Ril_CIS_2000$ActMar, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


ActAes_Fact <- factor(Ril_CIS_2000$ActAes, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 

save.image (file="Ril_CIS_2000.RData")
